--- old/usr/src/cmd/flowstat/flowstat.c	Mon Nov 16 14:22:38 2015
+++ new/usr/src/cmd/flowstat/flowstat.c	Mon Nov 16 14:22:38 2015
@@ -189,14 +189,15 @@
  */
 static dladm_handle_t handle = NULL;
 
-const char *usage_ermsg = "flowstat [-r | -t] [-i interval] "
+const char *usage_ermsg = "usage: flowstat [-r | -t] [-i interval] "
 	    "[-l link] [flow]\n"
-	    "       flowstat [-S] [-A] [-i interval] [-p] [ -o field[,...]]\n"
-	    "                [-u R|K|M|G|T|P] [-l link] [flow]\n"
-	    "       flowstat -h [-a] [-d] [-F format]"
-	    " [-s <DD/MM/YYYY,HH:MM:SS>]\n"
-	    "                [-e <DD/MM/YYYY,HH:MM:SS>] -f <logfile> "
-	    "[<flow>]";
+	    "       flowstat [-p | -u R|K|M|G|T|P] [ -o field[,...]] "
+	    "[-l link] [flow]\n"
+	    "       flowstat [-A] [-l link] [flow]\n"
+	    "       flowstat [-S] [-i interval] [-l link] [flow]\n"
+	    "       flowstat -h [-a] [-d] [-F format] "
+	    "[-s <DD/MM/YYYY,HH:MM:SS>]\n"
+	    "                [-e <DD/MM/YYYY,HH:MM:SS>] -f <logfile> [<flow>]";
 
 static void
 usage(void)
@@ -1077,12 +1078,12 @@
 {
 	switch (opterr) {
 	case ':':
-		die("option '-%c' requires a value\nusage: %s", opt,
+		die("option '-%c' requires a value\n%s", opt,
 		    gettext(usage));
 		break;
 	case '?':
 	default:
-		die("unrecognized option '-%c'\nusage: %s", opt,
+		die("unrecognized option '-%c'\n%s", opt,
 		    gettext(usage));
 		break;
 	}
